﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model SSCMvc.Models.MaBugReport
@using System.Web.UI.WebControls
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">



        $(document).ready(function () {

            $("#btnCancel").click(function () {
                window.location.href = "/MaBugReport/Index";

            });
            $("#Title").attr('placeholder', 'Only 150 Character');
            $("#Title").css('width', '350px');


            $("#BugMessage").attr('placeholder', 'Only 500 Characters');
            $("#BugMessage").css('height', '150px');
            $("#BugMessage").css('width', '350px');

        });



    </script>
}
@using (Html.BeginForm("Edit", "MaBugReport", null, FormMethod.Post, new { @id = "Form_Masters", @class = "form-horizontal", enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit BugReport
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        @Html.HiddenFor(model => model.Cdate)
                        @Html.HiddenFor(model => model.UserId)
                        @Html.HiddenFor(model => model.CountBug)
                        @Html.HiddenFor(model => model.SrNo)
                        @Html.HiddenFor(model => model.Screenshot)
                        <table width="600px" align="center">
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td width="100px" align="left" class="editor-label">
                                                Title <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @Html.EditorFor(model => model.Title)
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.Title)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Message <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @Html.EditorFor(model => model.BugMessage)
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.BugMessage)
                                            </td>
                                        </tr>

                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Priority Level <span class="color_style">*</span>
                                            </td>
                                            <td align="left">
                                                @{
        var liTimeSlot = new List<ListItem>();
        liTimeSlot.Add(new ListItem { Text = "", Value = "" });
        liTimeSlot.Add(new ListItem { Text = "Critical: Resolution Time 2 hours", Value = "Critical: Resolution Time 2 hours" });
        liTimeSlot.Add(new ListItem { Text = "High: Resolution Time 4 hours", Value = "High: Resolution Time 4 hours" });
        liTimeSlot.Add(new ListItem { Text = "Medium: Resolution time 24 hours", Value = "Medium: Resolution time 24 hours" });
        liTimeSlot.Add(new ListItem { Text = "Low: Resolution time 48 hours", Value = "Low: Resolution time 48 hours" });



                                                }
                                                @Html.DropDownListFor(model => model.PriorityType, new SelectList(liTimeSlot))
                                            </td>
                                            <td width="100px" align="left">
                                                @Html.ValidationMessageFor(model => model.PriorityType)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Screen Shot 
                                            </td>
                                            <td align="left">
                                                <input type="file" id="file" name="file" class="form-control" />
                                            </td>
                                            <td width="100px" align="left"></td>
                                        </tr>


                                        <tr>
                                            <td width="100px" align="left" valign="top" class="editor-label">
                                                Bug Status
                                            </td>
                                            <td align="left">
                                                @{
        var listItems = new List<ListItem>();
        listItems.Add(new ListItem { Text = "Open", Value = "Open" });
        listItems.Add(new ListItem { Text = "Resolved", Value = "Resolved" });
        listItems.Add(new ListItem { Text = "Closed", Value = "Closed" });
        listItems.Add(new ListItem { Text = "Implemented", Value = "Implemented" });

                                                }
                                                @Html.DropDownListFor(model => model.ReplyStatus, new SelectList(listItems))
                                            </td>
                                        </tr>

                                    </table>

                                </td>
                                <td valign="top" width="150px">
                                    <table>
                                        <tr>
                                            <td>
                                                <b><h3>Bug No :</h3></b>
                                            </td>
                                            <td>
                                               <b> @ViewBag.bugno</b>
                                            </td>
                                        </tr>
                                       
                                    </table>

                                </td>

                            </tr>


                        </table>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>
                                New Password
                            </label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>

}
